v1
Discover Models Preview
Discover models from a provider API using the provided API key, without requiring a saved config.
POST
/
v1
/
provider-configs
/
discover-preview
Discover Models Preview
curl --request POST \
--url https://api.example.com/v1/provider-configs/discover-preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_key": "<string>",
"api_key": "<string>",
"endpoint_url": "<string>"
}
'import requests
url = "https://api.example.com/v1/provider-configs/discover-preview"
payload = {
"provider_key": "<string>",
"api_key": "<string>",
"endpoint_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider_key: '<string>', api_key: '<string>', endpoint_url: '<string>'})
};
fetch('https://api.example.com/v1/provider-configs/discover-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"discovered": 123,
"models": [
{
"context_window": 123,
"display_name": "<string>",
"id": "<string>",
"model_name": "<string>",
"description": "<string>",
"input_cost_per_token": 123,
"is_new": false,
"max_output_tokens": 123,
"output_cost_per_token": 123,
"supports_function_calling": false,
"supports_reasoning": false,
"supports_vision": false
}
],
"new_models": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
Discover Models Preview
